Bug 847984 - Invalid schema data/api.xsd
Invalid schema data/api.xsd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-rhev (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 809606
  Show dependency treegraph
 
Reported: 2012-08-14 05:23 EDT by Pavel Zhukov
Modified: 2013-08-01 01:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:17:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Zhukov 2012-08-14 05:23:57 EDT
Description of problem:
I've trying to obtains list of VMs from RHEV instanse but get error 
Traceback (most recent call last):
  File "./test.py", line 7, in <module>
    vms = conn.getall(schema.VM)
  File "/usr/lib/python2.6/site-packages/rhev/connection.py", line 400, in getall
    result = self._parse_xml(response)
  File "/usr/lib/python2.6/site-packages/rhev/connection.py", line 246, in _parse_xml
    raise ResponseError(reason, detail=body)
rhev.error.ResponseError: Could not parse XML response: GuestInfo: Extra content None starting with <pyxb.utils.saxdom.Element object at 0x20f5590>


Version-Release number of selected component (if applicable):
python-rhev-1.0-15.rc1.oc3.1.noarch
rhevm-3.0.2_0001-2.el6.x86_64

How reproducible:
Create VM with 2 IPs on rhe NIC
Run python script:
conn = Connection(url, username, password)
vms = conn.getall(schema.VM)

Steps to Reproduce:
always
  

Additional info:
Besides RHEV response cannot be validated by schema. 
element ips: Schemas validity error : Element 'ips': This element is not expected. Expected is ( ip ).
Comment 1 Fedora End Of Life 2013-07-03 21:08:15 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 01:17:53 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.